"use strict";
this.name           = "SC equipment condtion script";
this.author         = "Lone_Wolf";
this.copyright      = "(C) 2011, 2012, 2014 Lone_Wolf.";
this.licence        = "CC-by-SA 4.0";
this.description    = "SC equipment condition script";
this.version        = "1.10.2";

this.allowAwardEquipment = function(equipment, ship, context)
{
  if ( worldScripts["Shield Cycler"].startUp ) { worldScripts["Shield Cycler"].startUp(); };
  var allowed = false;
  switch ( equipment )
    {
      case "EQ_SC_SHIELD_CYCLER_BASIC":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.none ) { allowed = true; };
	break;
      case "EQ_SC_SHIELD_CYCLER_STANDARD":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.basic ) { allowed = true; };
	break;
      case "EQ_SC_SHIELD_CYCLER_ADVANCED":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.standard ) { allowed = true; };
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_BASIC":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version != worldScripts["Shield Cycler"]._sc_const.none ) 
	  { 
	    if ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.none ) 
	      { allowed = true; };
	  };
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_STANDARD":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version > worldScripts["Shield Cycler"]._sc_const.basic )
	  {
	    if ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.basic )
	      { allowed = true; };
	  };
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_ADVANCED":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.advanced )
	  {
	    if ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.standard )
	      { allowed = true; };
	  };
	break;
      case "EQ_SC_SELL_SHIELD_CYCLER":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.version > worldScripts["Shield Cycler"]._sc_const.none )
	  {
	    if ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version == worldScripts["Shield Cycler"]._sc_const.none )
	      { allowed = true; };
	  };
	break;
      case "EQ_SC_SELL_MANUAL_CONFIGURATOR":
	if ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version != worldScripts["Shield Cycler"]._sc_const.none ) { allowed = true; };
	break;
      case "EQ_SC_SHIELD_CYCLER_INTERNAL":
	if ( context == "scripted" ) { allowed = true; };
	break;
      case "EQ_SC_MANUAL_CONFIGURATOR_INTERNAL":
	if ( context == "scripted" ) { allowed = true; };
	break;
      default:
	break;
    };
  return allowed;
};